# Update 'ContractTransferNotation'

Endpoint: PATCH /contracts/contracttransfernotation/{pk}/
Version: 2.0.0
Security: customer_id, application_id, service_id, service_version_id, client_ct, client_object_id, client_secret

## Path parameters:

  - `pk` (string, required)

## Request fields (application/json):

  - `organization` (object)

  - `organization.id` (string)

  - `custom_id` (string)

  - `apartment_contract` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `industrial_premises_contract`, `outdoorsection_contract`, `parkingspot_contract`, `block_contract`, `other_contract`
This field, or at least one of the following fields must be set: `industrial_premises_contract`, `outdoorsection_contract`, `parkingspot_contract`, `block_contract`, `other_contract`

  - `apartment_contract.id` (string)

  - `industrial_premises_contract` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `apartment_contract`, `outdoorsection_contract`, `parkingspot_contract`, `block_contract`, `other_contract`
This field, or at least one of the following fields must be set: `apartment_contract`, `outdoorsection_contract`, `parkingspot_contract`, `block_contract`, `other_contract`

  - `industrial_premises_contract.id` (string)

  - `outdoorsection_contract` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `apartment_contract`, `industrial_premises_contract`, `parkingspot_contract`, `block_contract`, `other_contract`
This field, or at least one of the following fields must be set: `apartment_contract`, `industrial_premises_contract`, `parkingspot_contract`, `block_contract`, `other_contract`

  - `outdoorsection_contract.id` (string)

  - `parkingspot_contract` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `apartment_contract`, `industrial_premises_contract`, `outdoorsection_contract`, `block_contract`, `other_contract`
This field, or at least one of the following fields must be set: `apartment_contract`, `industrial_premises_contract`, `outdoorsection_contract`, `block_contract`, `other_contract`

  - `parkingspot_contract.id` (string)

  - `block_contract` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `apartment_contract`, `industrial_premises_contract`, `outdoorsection_contract`, `parkingspot_contract`, `other_contract`
This field, or at least one of the following fields must be set: `apartment_contract`, `industrial_premises_contract`, `outdoorsection_contract`, `parkingspot_contract`, `other_contract`

  - `block_contract.id` (string)

  - `other_contract` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `apartment_contract`, `industrial_premises_contract`, `outdoorsection_contract`, `parkingspot_contract`, `block_contract`
This field, or at least one of the following fields must be set: `apartment_contract`, `industrial_premises_contract`, `outdoorsection_contract`, `parkingspot_contract`, `block_contract`

  - `other_contract.id` (string)

  - `transfer_performed` (boolean, required)

  - `transfer_date` (string)

## Response 200 fields (application/json):

  - `organization` (object)

  - `organization.id` (string)

  - `id` (string, required)
    **Additional Validation Information:**
Must be unique

  - `custom_id` (string)

  - `created_at` (string)

  - `apartment_contract` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `industrial_premises_contract`, `outdoorsection_contract`, `parkingspot_contract`, `block_contract`, `other_contract`
This field, or at least one of the following fields must be set: `industrial_premises_contract`, `outdoorsection_contract`, `parkingspot_contract`, `block_contract`, `other_contract`

  - `apartment_contract.id` (string)

  - `industrial_premises_contract` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `apartment_contract`, `outdoorsection_contract`, `parkingspot_contract`, `block_contract`, `other_contract`
This field, or at least one of the following fields must be set: `apartment_contract`, `outdoorsection_contract`, `parkingspot_contract`, `block_contract`, `other_contract`

  - `industrial_premises_contract.id` (string)

  - `outdoorsection_contract` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `apartment_contract`, `industrial_premises_contract`, `parkingspot_contract`, `block_contract`, `other_contract`
This field, or at least one of the following fields must be set: `apartment_contract`, `industrial_premises_contract`, `parkingspot_contract`, `block_contract`, `other_contract`

  - `outdoorsection_contract.id` (string)

  - `parkingspot_contract` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `apartment_contract`, `industrial_premises_contract`, `outdoorsection_contract`, `block_contract`, `other_contract`
This field, or at least one of the following fields must be set: `apartment_contract`, `industrial_premises_contract`, `outdoorsection_contract`, `block_contract`, `other_contract`

  - `parkingspot_contract.id` (string)

  - `block_contract` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `apartment_contract`, `industrial_premises_contract`, `outdoorsection_contract`, `parkingspot_contract`, `other_contract`
This field, or at least one of the following fields must be set: `apartment_contract`, `industrial_premises_contract`, `outdoorsection_contract`, `parkingspot_contract`, `other_contract`

  - `block_contract.id` (string)

  - `other_contract` (object)
    **Additional Validation Information:**
This value can't bet set, when any of the following fields are set: `apartment_contract`, `industrial_premises_contract`, `outdoorsection_contract`, `parkingspot_contract`, `block_contract`
This field, or at least one of the following fields must be set: `apartment_contract`, `industrial_premises_contract`, `outdoorsection_contract`, `parkingspot_contract`, `block_contract`

  - `other_contract.id` (string)

  - `transfer_performed` (boolean, required)

  - `transfer_date` (string)

  - `pending_monitor_approval_amount` (any)

  - `previous_tenant` (object)

  - `previous_tenant.id` (string)

  - `previous_bi_tenants` (array)

  - `previous_bi_tenants.id` (string)

